Mise en route

Si vous obtenez un message d'erreur vous indiquant qu'il manque des librairies (DLL), il faut télécharger la version avec les librairies inclues, depuis le site http://www.exmackina.com/netcom

Lors de la première utilisation de Netcom il détecte automatiquement vos connexions Internet installées sous Windows. En revanche les connexions liées à un programme (par exemple AOL) sont détectées lors du premier appel passé par ces connexions.

Netcom ne nécessite pas de paramétrage pour fonctionner. Toutefois il est fortement conseillé d'ajuster le paramétrage de chacune de vos connexions pour être le plus proche de ceux de vos fournisseurs d'accès Internet.


Fenêtre complète

Voici la représentation de Netcom en mode d'affichage complet :

1 -Affichage de l'état de la connexion
Permet de connaître l'état de la connexion : déconnecté, en cours de numérotation, connectée, etc.
voir la représentation

2 - Barre de titre
Permet de déplacer la fenêtre de Netcom. Il faut pour cela faire un clique-gauche, sans relâcher, de la souris sur la barre et déplacer le curseur.
voir la représentation

3 - Bouton pour réduire/agrandir la fenêtre
Permet de passer du mode d'affichage complet au mode d'affichage réduit et inversement.
voir la représentation

4 - Bouton pour cacher la fenêtre
Permet de cacher la fenêtre et affiche une icône à côté de l'heure Windows. Un clique-gauche de la souris sur l'icône permet d'afficher à nouveau la fenêtre.
voir la représentation

5 - Bouton pour fermer Netcom
Permet de fermer le programme. Attention, lorsque Netcom est fermé il ne détecte plus les connexions à Internet. Ainsi il est fortement conseillé, lorsque vous n'utilisé pas Netcom, de simplement le cacher en cliquant sur le bouton jaune (n°4).
voir la représentation

6 -Affichage du nom de la connexion courante
Permet de connaître le nom de la connexion sélectionnée dont vous pouvez consulter le cumul, le solde, etc. Lorsque vous êtes connecté à Internet, il s'agit de la connexion par laquelle vous vous êtes connecté. Cliquer dessus pour afficher le menu [Connexion].
voir la représentation

7 - Bouton d'affichage des connexions gérées
Permet de consulter la liste de vos connexions détectées par Netcom. Attention, les connexions liées à un programme (par exemple AOL) sont détectées lors du premier appel passé par ces connexions. Cliquer sur une des connexions affichées par le bouton pour la sélectionner.
voir la représentation

8 - Menu des fonctions concernant la connexion courante
Permet d'afficher le menu [Connexion]. Ce menu contient les fonctions de paramétrage de la connexion et d'ouverture/fermeture.
voir la représentation

9 - Affichage de la durée du dernier appel
Affiche la durée de l'appel en cours ou juste terminé.
voir la représentation

10 - Menu des fonctions générales
Permet d'afficher le menu [Compteur]. Il donne accès à l'historique des appels et permet de remettre à zéro toutes les connexions à la fois.
voir la représentation

11 - Affichage du cumul des appels pour la connexion courante
Permet de connaître le cumul de la connexion sélectionnée. Le cumul d'une connexion est la somme de la durée des appels passés par cette connexion. Double-cliquer dessus pour le modifier. Il doit être de la forme 0:00:00.
voir la représentation

12 - Menu de configuration générale
Permet d'afficher le menu [Config]. Il donne accès au paramétrage général de Netcom, en particulier la configuration de l'affichage.
voir la représentation

13 - Affichage du solde de temps pour la connexion courante
Permet de connaître le solde de la connexion sélectionnée. Le solde affiché correspond au temps restant à consommer de votre forfait, c'est à dire le solde initial moins le cumul. Le solde initial est le temps total alloué par votre forfait. Double-cliquer dessus pour le solde pour modifier le solde initiale. Il doit être de la forme 0:00:00.
voir la représentation

14 - Menu d'aide
Permet d'afficher le menu [Aide]. Donne accès à l'aide et en particulier au support technique sur Internet. Cette assistance doit vous aider pour des sujets non traité dans ce fichier d'aide.
voir la représentation

15 - Barre de status
Affiche la date et l'heure de votre ordinateur. Ainsi pour l'actualiser, il suffit de modifier la date et l'heure de Windows. Ceci ce fait en double-cliquant sur l'heure de Windows. La date affiché par Netcom a une particularité : le numéro du jour du mois est suivis du numéro du dernier jour du mois, séparé par "/".
Pour afficher ou masquer la barre de status, cocher ou décocher l'option [Afficher la barre de status] dans le menu [Config] (n°12).
voir la représentation

voir aussi :
Fenêtre réduite
Fenêtre cachée


Fenêtre réduite

Voici la représentation de Netcom en mode d'affichage réduit :

1 -Affichage de l'état de la connexion
Permet de connaître l'état de la connexion : déconnecté, en cours de numérotation, connectée, etc.
voir la représentation

2 - Barre de titre
Permet de déplacer la fenêtre de Netcom. Il faut pour cela faire un clique-gauche, sans relâcher, de la souris sur la barre et déplacer le curseur.
voir la représentation

3 - Bouton pour réduire/agrandir la fenêtre
Permet de passer du mode d'affichage réduit au mode d'affichage complet et inversement.
voir la représentation

4 - Bouton pour cacher la fenêtre
Permet de cacher la fenêtre et affiche une icône à côté de l'heure Windows. Un clique-gauche de la souris sur l'icône permet d'afficher à nouveau la fenêtre.
voir la représentation

5 - Bouton pour fermer Netcom
Permet de fermer le programme. Attention, lorsque Netcom est fermé il ne détecte plus les connexions à Internet. Ainsi il est fortement conseillé, lorsque vous n'utilisé pas Netcom, de simplement le cacher en cliquant sur le bouton jaune (n°4).
voir la représentation

6 -Affichage du nom de la connexion courante
Permet de connaître le nom de la connexion sélectionnée dont vous pouvez consulter le cumul, le solde, etc. Lorsque vous êtes connecté à Internet, il s'agit de la connexion par laquelle vous vous êtes connecté. Cliquer dessus pour afficher le menu [Connexion].
voir la représentation

7 - Bouton d'affichage des connexions gérées
Permet de consulter la liste de vos connexions détectées par Netcom. Attention, les connexions liées à un programme (par exemple AOL) sont détectées lors du premier appel passé par ces connexions. Cliquer sur une des connexions affichées par le bouton pour la sélectionner.
voir la représentation

8 - Affichage d'une donnée
Permet d'afficher au choix la durée de l'appel en cours, le cumul ou le solde de la connexion sélectionnée. Pour choisir la donnée affichée, sélectionnée là dans le menu affiché en faisant un clique-droit de la souris sur la donnée même. Vous pouvez également la paramétrer en mode d'affichage complet dans le menu [Config] > [Affichage en mode réduit]. Lorsque le cumul ou le solde sont affichés, vous pouvez double-cliquer dessus pour les modifier.
voir la représentation

voir aussi :
Fenêtre complète
Fenêtre cachée


Fenêtre cachée

Voici la représentation de Netcom en mode d'affichage cachée :

Pour cacher Netcom, cliquer sur le bouton jaune de la barre de titre de la fenêtre de Netcom.

1 - Icône de Netcom
En mode d'affichage cachée, Netcom est sous la forme d'une icône. Elle se trouve à côté de l'heure de Windows.
Un clic gauche de la souris sur l'icône permet de faire apparaître la fenêtre de Netcom.
Un clic droit de la souris sur l'icône permet de faire apparaître un menu proposant de faire afficher la fenêtre de Netcom ou de fermer le programme. Attention, lorsque Netcom est fermé il ne détecte plus les connexions à Internet.
voir la représentation

voir aussi :
Fenêtre complète
Fenêtre réduite


Sauvegarde automatique

Durant une connexion à Internet, Netcom fait automatiquement des sauvegardes du temps écoulé.

Ainsi lorsque Netcom est fermé brutalement (par exemple lors d'une coupure de courrant), à la prochaine exécution de Netcom, le temps sauvegardé est rajouté à la connexion et un message vous en averti. Il suffit de cliquer sur le bouton "OK" du message pour le faire disparaître.


Planifier la remise à zéro

Netcom permet de remettre à zéro les connexions de façon manuelle ou automatique :

  • Remise à zéro manuelle
    voir Remettre à zéro une/des connexion(s).
  • Remise à zéro automatique ou planifiée
    Le paramétrage de la remise à zéro est indépendant pour chacune de vos connexions. Vous pouvez désactiver cette fonctionnalité ou bien planifier le jour du mois pour lequel la connexion sera remise à zéro.

    Pour paramétrer cette fonctionnalité pour une connexion vous devez d'abord la sélectionner : choisir cette connexion dans le menu affiché en cliquant sur le bouton fléché. Cliquer ensuite sur le menu [Connexion] > [Planifier la Remise à Zéro...]. En mode d'affichage réduit, cliquer sur le nom de la connexion pour faire apparaître le menu connexion.

    Pour désactiver cette fonctionnalité : saisissez 0.

    Pour spécifier le jour de la remise à zéro : saisissez le numéro du jour dans le mois auquel votre période de facturation commence. La remise à zéro se fait entre 23:59:59 de la veille et 0:00:00 du jour saisi. Par exemple, si votre période de facturation commence le 15 de chaque mois, saisissez 15. Autre exemple, si votre période de facturation commence au début de chaque mois (et se termine donc en fin de mois), saisissez 1.

    Attention : La remise à zéro automatique est mensuelle. La période commence à 0:00:00 du jour saisi.
  • Fenêtre de planification de la remise à zéro
    Lorsqu'une période de facturation planifiée dans Netcom commence (ou se termine), une fenêtre vous demande de confirmer la remise à zéro des connexions concernées. Les connexions sont décochables. Seules les connexions cochées sont mises à zéro lorsque vous cliquez sur le bouton "Remise à zéro". Si vous cliquez sur le bouton "Reporter" la fenêtre est ignorée et fermée. Elle réapparaîtra lors de la prochaine exécution de Netcom. Ceci est utile lorsque la date de votre ordinateur a été modifiée par erreur. Il faut alors cliquer sur "reporter" lorsque la fenêtre apparaît et corriger la date système.

    Attention : Il est vivement conseillé de réagir rapidement lorsque la fenêtre apparaît pour éviter d'éventuels décalages dans le cumul si vous êtes connecté à Internet.

voir aussi :
Remettre à zéro une/des connexion(s)


Planifier la déconnexion

Netcom permet de déconnecter la connexion à Internet de façon manuelle ou automatique :

  • Déconnexion manuelle
    Lorsque vous êtes connecté, vous pouvez vous déconnecter à tout moment en cliquant sur le menu [Connexion] > [Déconnecter]. En mode d'affichage réduit, cliquer sur le nom de la connexion pour faire apparaître le menu connexion.
  • Déconnexion automatique ou planifiée
    Le paramétrage de la déconnexion est indépendant pour chacune de vos connexions. Vous pouvez désactiver cette fonctionnalité ou bien planifier d'interrompre la connexion lorsque la durée de l'appel en cours, le cumul ou le solde de la connexion atteint un temps donné. Cette fonction est particulièrement utile si vous souhaitez en particulier interrompre automatiquement la connexion lorsque le temps restant sur votre forfait atteint un certain seuil. Les différentes options sont accessibles depuis le menu [Connexion] > [Planifier la déconnexion].

    Attention : La déconnexion se produit uniquement lorsque le temps donné est atteint, ni avant, ni après. De plus la déconnexion laisse 10 secondes pour l'annuler manuellement, il faut donc en tenir compte dans le paramétrage du temps.

  • Fenêtre d'avertissement de la déconnexion
    Lorsque le temps planifié de la déconnexion est atteint, une fenêtre apparaît avertissant que la déconnexion va se produire. Elle vous laisse 10 secondes pour l'annuler. Sans ordre contraire, la connexion sera interrompue au terme des 10 secondes.


Fenêtre affichée à la connexion

L'option de "page de démarrage" est présente dans de nombreux navigateurs Internet. Cette fonction est particulièrement utile en début de connexion. En revanche, lorsqu'on lance de nouvelles fenêtres pour naviguer sur d'autres sites en attendant que le chargement des pages lancées soit complet, elle n'a plus de raison d'être.

De son côté Netcom lance une page paramétrable au début de chaque connexion uniquement. Par défaut il s'agit d'une page qui contribue au développement de ce programme et au maintient de sa gratuité. Netcom offre la possibilité de la paramétrer pour afficher votre site préféré. Pour paramétrer la page, cliquez sur le menu [Config] > [Page lancée à la connexion] et saisissez l'adresse du site désiré, par exemple "http://www.google.com". Pour lancer de nouveau la page par défaut, saisissez "http://".

voir aussi :
Paramétrage avancé


Détecter les appels

Netcom détecte automatiquement les connexions installées et les appels passés par ces connexions. Bien entendu il faut impérativement que Netcom soit lancé pour pouvoir les détecter. En effet Netcom comptabilise le temps passé sur Internet uniquement lorsqu'il s'exécute.

Il est donc vivement conseillé de lancer Netcom dés le démarrage de Windows et de ne pas le fermer par la suite. Il est possible de laisser Netcom se lancer automatiquement en cochant l'option [Config] > [Lancer au démarrage de Windows]. Ceci est le cas par défaut.

Remarque : Les connexions Windows installées sur votre ordinateur sont détectées dés la première utilisation de Netcom. En revanche les connexions liées à un programme (par exemple AOL) sont détectées lors du premier appel passé par ces connexions.

Astuce : Pour un maximum de discrétion, vous pouvez à tout moment cacher Netcom, en particulier lorsque vous n'êtes pas connecté. Pour passer en mode caché il faut cliquer sur le bouton jaune dans la barre de titre de Netcom. Il apparaît alors sous la forme d'une icône à côté de l'heure Windows. Pour le faire réapparaître il faut cliquer sur cette icône.


Paramétrer une connexion

Sans paramétrage de votre part, Netcom décomptera tout de même le temps passés sur Internet en considérant un paramétrage par défaut. Toutefois pour que les données affichées par Netcom soit le plus proche de celles tenues par vos fournisseurs d'accès Internet, il est fortement conseillé de suivre les instructions suivantes pour paramétrer le cumul, le solde, et le mode de décompte du temps de chacune de vos connexions.

Le cumul d'une connexion est la somme de la durée des appels passés par cette connexion. Par défaut il est initialisé à 0:00:00. Lors de la première utilisation de Netcom il faut donc modifier le cumul de chaque connexion pour qu'il corresponde au temps déjà consommé durant votre période de facturation en cours. Cette information est généralement fournie par vos fournisseurs d'accès Internet.

Pour modifier le cumul d'une connexion : Sélectionner cette connexion dans le menu affiché en cliquant sur le bouton fléché (n°7 dans la représentation ci-dessous). Puis double-cliquer dessus le cumul affiché (n° 11) ou bien cliquer sur le menu (n°8) [Connexion] > [Modifier le cumul...]. En mode d'affichage réduit, cliquer sur le nom de la connexion (n°6) pour faire apparaître le menu connexion. Enfin Saisir le cumul sous la forme 0:00:00.
Par exemple, si vous aviez déjà consommé 50 minutes pour une connexion avant d'utiliser Netcom, il faut modifier son cumul à 0:50:00.

Le solde initial est le temps total alloué par votre forfait. Le solde affiché correspond au temps restant à consommer de votre forfait, c'est à dire le solde initial moins le cumul.

Pour modifier le solde d'une connexion : sélectionner cette connexion dans le menu affiché en cliquant sur le bouton fléché (n°7 dans la représentation ci-dessus). Puis double-cliquer dessus le solde affiché (n° 13) ou bien cliquer sur le menu (n°8) [Connexion] > [Modifier le solde initial...]. Enfin Saisir le solde sous la forme 0:00:00.

Le mode de décompte du temps est la façon dont vos fournisseurs d'accès Internet comptabilisent le temps passé sur Internet. Certains décompte dés le début de la numérotation et/ou considèrent toute minute commencée comme due, autrement dit ils arrondissent à la minute. Ces informations peuvent être fournis par vos fournisseurs d'accès Internet. Par défaut Netcom démarre le décompte dés la numérotation et considère toute minute commencée comme due.

Pour activer ou désactiver ces options : cocher ou décocher les options [Démarrer dès la numérotation] et [Minute commencée due] dans le menu [Connexion]. En mode d'affichage réduit, cliquer sur le nom de la connexion pour faire apparaître le menu connexion.

voir aussi :
Planifier la remise à zéro
Planifier la déconnexion


Consulter une connexion

Netcom permet de consulter l'ensemble des données et du paramétrage de la connexion sélectionnée. Pour sélectionner une connexion, il faut cliquer sur le bouton fléché (n°7 dans la représentation ci-dessous) puis sur le nom de la connexion dans le menu ainsi ouvert.

Le paramétrage d'une connexion est accessible en cliquant sur le nom de la connexion (n°6) ou bien, en affichage complet uniquement, sur le bouton [Connexion] (n°8).

Les données consultables d'une connexion sont la durée, le cumul et le solde.

  • la durée : elle correspond à la durée de l'appel en cours ou juste terminé
  • le cumul : il correspond au total de la durée des appels pour la connexion sélectionnée
  • le solde : il correspond au temps restant sur votre forfait

Ces informations sont toutes affichées dans la fenêtre complète tandis qu'une seule d'entre elles est affichée dans la fenêtre réduite.


Remettre à zéro une/des connexion(s)

Tant qu'une connexion n'a pas été remise à zéro, Netcom continue d'ajouter au cumul, la durée des appels suivants. Pour que le cumul de Netcom corresponde au cumul de la période de facturation de votre abonnement, il faut remettre à zéro la connexion au début de chaque période de facturation.

Netcom permet de faire une remise à zéro (RAZ) des connexions une par une, ou toute à la fois, manuellement ou bien automatiquement.

  • RAZ manuelle d'une connexion : cliquer sur le menu [Connexion] > [RAZ du cumul et de la durée...]. En mode d'affichage réduit, cliquer sur le nom de la connexion pour faire apparaître le menu connexion.
  • RAZ manuelle de toutes les connexions : cliquer sur le menu [Compteur] > [RAZ des cumuls et des durées...]. Ceci n'est possible qu'en mode d'affichage complet.
  • RAZ automatique d'une connexion : cliquer sur le menu [Connexion] > [Planifier la Remise à Zéro...]. Voir Planifier la remise à zéro.


Supprimer une connexion

La suppression d'une connexion est irréversible, c'est à dire que son cumul est remis à zéro et ses informations n'apparaissent plus dans Netcom. En revanche, si par la suite vous installez de nouveau la connexion sous Windows, elle sera reprise en compte par Netcom avec le même paramétrage.

La suppression d'une connexion sous Netcom n'entraîne pas sa suppression sous Windows. Pour que la connexion ne soit pas de nouveau détectée par Netcom, il faut qu'elle soit au préalable supprimée sous Windows.

Pour supprimer une connexion sous Windows :

  • si c'est une connexion liée à un programme (par exemple AOL), désinstaller ce programme. Un programme de désinstallation est généralement présent dans le répertoire où vous avez installé l'application.
  • sinon, c'est à dire si c'est une connexion Windows, aller dans le répertoire des connexions sous Windows. Dans la plupart des versions il est accessible depuis le menu [Démarrer] > [Programmes] > [Accessoires] > [Communications] > [Connexions réseau et accès à distance]. Cliquer alors avec le bouton droit de la souris sur la connexion ciblée pour faire apparaître un menu et choisir "supprimer".

Pour supprimer une connexion sous Netcom, cliquer sur le menu (n°8 dans la représentation ci-dessous) [Connexion] > [Supprimer la connexion...]. En mode d'affichage réduit, cliquer sur le nom de la connexion (n°6) pour faire apparaître le menu connexion.


Consulter l'historique des appels

Le fichier d'historique contient les informations (date, durée, ...) sur tous les appels de l'ensemble des connexions. Il enregistre également les remises à zéro.

Ce fichier est disponible dans le répertoire de Netcom (soit C:\Program Files\Netcom s'il n'a pas été modifié lors de l'installation). Sous Windows vous pouvez l'éditer, le copier, le supprimer, etc. Si le fichier est supprimé, il sera recréé vide, prêt à accueillir l'ajout de nouvelles informations.

Pour consulter l'historique depuis Netcom : dans le mode d'affichage complet, cliquer sur le menu (n°10 dans la représentation ci-dessous) [Compteur] > [Voir les appels]. Le fichier est ouvert avec l'application associée sous Windows aux fichiers .txt.


Configurer l'affichage

La configuration de l'affichage se fait à partir du menu [Config]. Il est présent uniquement en mode d'affichage complet. Les différents paramètres sont :

  • Affichage sur la fenêtre active : permet d'afficher au choix la durée, le cumul ou le solde dans la barre de titre de la fenêtre active d'un autre programme sous Windows. La barre de titre est la partie supérieure d'une fenêtre, contenant généralement un intitulé et les boutons réduire, agrandir, fermer.
  • Affichage en mode réduit : permet d'afficher au choix la durée, le cumul ou le solde lorsque Netcom est en mode d'affichage réduit (n°8 dans la représentation ci-dessous). Cet affichage est aussi paramétrable en mode réduit. Il faut alors cliquer avec le bouton droit de la souris sur la donnée affichée (n°8 dans la représentation ci-dessous) pour faire apparaître un menu.
  • Etat au démarrage : permet de choisir l'affichage de Netcom à son lancement. L'option "par défaut" permet d'afficher Netcom comme il était lors de sa dernière fermeture.
  • Toujours au premier plan : permet d'afficher ou non la fenêtre de Netcom toujours au-dessus des autres.
  • Afficher lors de la connexion : permet de rendre visible la fenêtre de Netcom en début de connexion si elle était cachée.
  • Afficher la barre de status : permet d'afficher ou non la barre de status (n°15 dans la représentation ci-dessous) de la fenêtre en mode d'affichage complet.
  • Sauver la position de la fenêtre : permet de conserver ou non la position de la fenêtre pour la prochaine ouverture de Netcom.